Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.item
Class B64

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.item.Item
                  org.basex.query.item.B64

    public final class B64

extends Item

Base64Binary item.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.item.Item
`type`

Constructor Summary
`B64(byte[] d)` Constructor.
`B64(Hex h)` Constructor.

Method Summary
`boolean` | `eq(Item it)` Checks the items for equality.
`java.lang.Object` | `java()` Returns a Java object.
`byte[]` | `str()` Returns an atomized string.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.item.Item
`atomic, bool, castErr, comp, d, dbl, dec, diff, duplicates, ebv, flt, hash, i, iter, iter, itr, n, name, node, plan, removable, returned, s, score, score, serialize, test, u, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, indexAccessible, indexEquivalent, remove, sameAs, size`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### B64

    public B64(Hex h)

  Constructor.

  Parameters:
    `h` - hex item

### B64

    public B64(byte[] d)
        throws QueryException

  Constructor.

  Parameters:
    `d` - data
  Throws:
    `QueryException` - evaluation exception

Method Detail

### str

    public byte[] str()

  Description copied from class: `Item`
  Returns an atomized string.

  Overrides:
    `str` in class `Item`
  Returns:
    string representation

### eq

    public boolean eq(Item it)
               throws QueryException

  Description copied from class: `Item`
  Checks the items for equality.

  Specified by:
    `eq` in class `Item`
  Parameters:
    `it` - item to be compared.
  Returns:
    result of check
  Throws:
    `QueryException` - evaluation exception

### java

    public java.lang.Object java()

  Description copied from class: `Item`
  Returns a Java object.

  Overrides:
    `java` in class `Item`
  Returns:
    string representation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Item`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD